### Function Macro

# Soup CHECK_VERSION

#### Declaration [src]

    #define SOUP_CHECK_VERSION (
      major,
      minor,
      micro
    )

#### Description [src]

Macro to test the version of libsoup being compiled against.

Returns `TRUE` if the version of the libsoup header files is the same as or newer than the passed-in version.

This function is not directly available to language bindings

#### Parameters

`major` | `-`
| Major version (e.g. 2 for version 2.42.0)
`minor` | `-`
| Minor version (e.g. 42 for version 2.42.0)
`micro` | `-`
| Micro version (e.g. 0 for version 2.42.0)